Subject: Re: Bug#287588: fvwm crashes on 1-bpp and 4-bpp displays

From: Manoj Srivastava <[email-masked] (va, manoj)>
Date: Thu, 17 Mar 2005 12:26:09 -0600

Hi,

         [Please retain the CC to [email-masked]
          so that the Debian BTS has a record of your input]

         This was reported by a Debian user.

Package: fvwm
Version: 2.5.12-4
Severity: normal

Hi
 When run on a 1 BPP or 4 BPP display, FVWM crashes on startup with
 the following output : 

  X Error of failed request:  BadValue (integer parameter out of range for operation)
    Major opcode of failed request:  91 (X_QueryColors)
    Value in failed request:  0xff
    Serial number of failed request:  8
    Current serial number in output stream:  8

Excerpt from the ltrace :

  XGetVisualInfo(0x8103fa0, 10, 0xbffff6f0, 0xbffff6dc, 0) = 0
  malloc(4112)                               = 0x8105150
  XQueryColors(0x8103fa0, 32, 0xbfffea20, 256, 0xb7f8fe61 <unfinished ...>
  XUngrabServer(0x8103fa0, 0xb7fc7d28, 1, 0xb7cb098f, 0) = 1
  XUngrabPointer(0x8103fa0, 0, 1, 0xb7cb098f, 0) = 1
  XUngrabKeyboard(0x8103fa0, 0, 1, 0xb7cb098f, 0) = 1
  +++ exited (status 1) +++

The fourth argument to XQueryColors() looks like someone upstream
has forgotten about the existence of black-and-white and 16-colour
modes.

This is a relatively new bug. Last year, I used FVWM on 1 BPP and
4 BPP displays with no problems.

-- System Information:
Debian Release: testing/unstable
  APT prefers testing
  APT policy: (500, 'testing'), (1, 'experimental')
Architecture: i386 (i686)
Kernel: Linux 2.6.9
Locale: LANG=C, LC_CTYPE=en_US (charmap=ISO-8859-1)

Versions of packages fvwm depends on:
ii  libc6                     2.3.2.ds1-18   GNU C Library: Shared libraries an
ii  libfontconfig1            2.2.1-8        generic font configuration library
ii  libfreetype6              2.1.7-1        FreeType 2 font engine, shared lib
ii  libfribidi0               0.10.4-6       Free Implementation of the Unicode
ii  libglib1.2                1.2.10-9       The GLib library of C routines
ii  libgtk1.2                 1.2.10-16      The GIMP Toolkit set of widgets fo
ii  libice6                   4.3.0.dfsg.1-4 Inter-Client Exchange library
ii  libncurses5               5.4-4          Shared libraries for terminal hand
ii  libpng12-0                1.2.8beta5-2   PNG library - runtime
ii  libreadline4              4.3-8          GNU readline and history libraries
ii  librplay3                 3.3.2-8        Shared libraries for the rplay net
ii  libsm6                    4.3.0.dfsg.1-4 X Window System Session Management
ii  libstroke0                0.5.1-4        support for mouse strokes like tho
ii  libx11-6                  4.3.0.dfsg.1-4 X Window System protocol client li
ii  libxext6                  4.3.0.dfsg.1-4 X Window System miscellaneous exte
ii  libxft2                   2.1.2-5        FreeType-based font drawing librar
ii  libxi6                    4.3.0.dfsg.1-4 X Window System Input extension li
ii  libxpm4                   4.3.0.dfsg.1-4 X pixmap library
ii  libxrender1               0.8.3-7        X Rendering Extension client libra
ii  xlibs                     4.3.0.dfsg.1-8 X Window System client libraries m
ii  zlib1g                    1:1.2.2-3      compression library - runtime

	manoj
-- 
The bug stops here.
Manoj Srivastava   <[email-masked]>  <http://www.debian.org/%7Esrivasta/>
1024D/BF24424C print 4966 F272 D093 B493 410B  924B 21BA DABB BF24 424C
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]

---

From: Dan Espen <[email-masked]>
Date: Sun, 20 Mar 2005 16:07:43 -0500

>  When run on a 1 BPP or 4 BPP display, FVWM crashes on startup with

I'd like to take a look at this problem, but everything I've
tried so far refuses to work with depth 1 or 4 visuals.

X itself won't start that way, it says the drivers don't support
the depth.  I'm using S3 and I860.  Xnest doesn't want to
start that way either.  The man page says the server needs
to support that depth.  Even Xvfb, which doesn't have to
display anything gives me:

home> Xvfb :2 -screen 0 1024x768x4
_XSERVTransSocketOpenCOTSServer: Unable to open socket for inet6
_XSERVTransOpen: transport open failed for inet6/home-1:2
_XSERVTransMakeAllCOTSServerListeners: failed to open listener for inet6

Fatal server error:
Couldn't add screen 0

I'm using the latest Xorg release 6.8.2.

-- 
Dan Espen                           E-mail: [email-masked]